Summary: autofs daemon
Name: autofs
%define version 0.3.14
Version: %{version}
Release: 1
Copyright: GPL
Group: Networking/Daemons
Source: ftp://ftp.kernel.org/pub/linux/daemons/autofs/autofs-%{version}.tar.gz
Patch: autofs-0.3.14-rhconfig.patch
BuildRoot: /var/tmp/autofs-tmp
Prereq: chkconfig
Requires: /bin/bash mktemp sed textutils sh-utils grep /bin/ps
ExclusiveArch: i386

%description
autofs is a daemon which automatically mounts filesystems when you use
them, and unmounts them later when you are not using them.  This can
include network filesystems, CD-ROMs, floppies, and so forth.

%changelog

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>

- exclusivearch for i386 for now, since our kernel packages on
  other platforms don't include autofs yet.
- improvements to initscripts.

* Thu Oct 16 1997 Michael K. Johnson <johnsonm@redhat.com>

- Built package from 0.3.14 for 5.0

%prep
%setup
%patch -p1 -b .rh

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make install DESTDIR=$RPM_BUILD_ROOT
install -o 0 -g 0 -m 755 samples/rc.autofs $RPM_BUILD_ROOT/etc/rc.d/init.d/autofs
install -o 0 -g 0 -m 644 samples/auto.master $RPM_BUILD_ROOT/etc
install -o 0 -g 0 -m 644 samples/auto.misc $RPM_BUILD_ROOT/etc

install -d -o 0 -g 0 -m 755 $RPM_BUILD_ROOT/misc

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add autofs

%postun
if [ "$1" = 0 ] ; then
  chkconfig --del autofs
fi

%files
%doc COPYRIGHT NEWS README TODO
%config /etc/rc.d/init.d/autofs
%config /etc/auto.master
%config(missingok) /etc/auto.misc
/usr/sbin/automount
%dir /misc
%dir /usr/lib/autofs
/usr/lib/autofs/*
/usr/man/man5/auto.master.5
/usr/man/man5/autofs.5
/usr/man/man8/autofs.8
/usr/man/man8/automount.8
